Bug 1734808 - [RFE] Make Ansible Runner the only way to run Ansible
Summary: [RFE] Make Ansible Runner the only way to run Ansible
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Ansible
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 14:00 UTC by Marek Hulan
Modified: 2020-02-11 11:45 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman_ansible-4.0.0
Doc Type: Enhancement
Doc Text:
For improved Ansible performance and stability, ansible-runner is now the only available Ansible implementation. The ansible-playbook implementation is no longer available.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27922 Normal Closed Make Ansible Runner the only way to run Ansible 2020-02-24 11:24:01 UTC

Internal Links: 1774453

Description Marek Hulan 2019-07-31 14:00:18 UTC
This bug was initially created as a copy of Bug #1698176, that tracked adding a new setting so users could chose between ansible-runner and ansible-playbook implementations. This new RFE makes the ansible-runner the only available option.

Comment 3 Marek Hulan 2019-09-24 04:49:55 UTC
Created redmine issue https://projects.theforeman.org/issues/27922 from this bug

Comment 4 Lukas Pramuk 2020-02-06 13:31:18 UTC
VERIFIED.

@satellite-6.7.0-5.beta.el7sat.noarch
tfm-rubygem-foreman_ansible-4.0.3-1.el7sat.noarch

by the following manual steps:

1) Check for the settings (that present in Sat6.6)

Administer -> Settings -> Ansible 

Implementation for running Ansible: ansible-playbook     <- this is missing at Sat6.7

>>> user no longer can choose between 'ansible-playbook' and 'ansible-runner' 

2) Schedule Ansible REX command and while checking for processes running on satellite: 
# watch "ps -efH | grep -A4 [a]nsible"
foreman+  2667 15180  1 08:17 pts/5    00:00:00     /usr/bin/python2 /usr/bin/ansible-runner run /tmp/d20200206-15180-1pova5e -p playbook.yml
foreman+  2675  2667 23 08:17 pts/6    00:00:01       /usr/bin/python2 /usr/bin/ansible-playbook -i /tmp/d20200206-15180-1pova5e/inventory playbook.yml
foreman+  2723  2675  5 08:17 pts/6    00:00:00         /usr/bin/python2 /usr/bin/ansible-playbook -i /tmp/d20200206-15180-1pova5e/inventory playbook.yml
foreman+  2787  2723  1 08:17 pts/6    00:00:00           ssh -o ProxyCommand=none -o StrictHostKeyChecking=no -o Port=22 -o IdentityFile="/usr/share/foreman-proxy/.ssh/id_rsa_foreman_proxy"...

>>> the manadatory implementation 'ansible-runner' is always used


Note You need to log in before you can comment on or make changes to this bug.